    Return the BACKSCAL scaling of a PHA data set.

get_backscal(id=None, bkg_id=None)
id - int or str, optional
bkg_id - int or str, optional

Return the BACKSCAL setting for the source or background component of a PHA data set.

>>> get_backscal() 7.8504301607718007e-06 >>> get_backscal(bkg_id=1) 0.00022745132446289

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The identifier for the data set to use. If not given then the default identifier is used, as returned by

`get_default_id` .
bkg_id
Set to identify which background component to use. The default value ( none ) means that the value is for the source component of the data set.

The return value from this function is:

backscal -- The BACKSCAL value, which can be a scalar or a 1D array.

Notes

The BACKSCAL value can be defined as the ratio of the area of the source (or background) extraction region in image pixels to the total number of image pixels. The fact that there is no ironclad definition for this quantity does not matter so long as the value for a source dataset and its associated background dataset are defined in the similar manner, because only the ratio of source and background BACKSCAL values is used. It can be a scalar or be an array.

References

K. A. Arnaud, I. M. George & A. F. Tennant, "The OGIP Spectral File Format"

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023